server:
  port: @profiles.server.port@
  servlet:
    context-path: /logservice
spring:
  application:
    name: log-manager
    profiles:
      active: @profiles.active@
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
  jackson:
    serialization:
      WRITE_DATES_AS_TIMESTAMPS: true
    default-property-inclusion: NON_NULL
  redis:
    host: @profiles.redis.uri@
    port: @profiles.redis.port@
    username: @profiles.redis.username@
    password: @profiles.redis.password@
    database: @profiles.redis.database@
    timeout: 30000
    pool:
      max-idle: 30
      min-idle: 0
      max-active: 100
      max-wait: 1000
  cloud:
    loadbalancer:
      ribbon:
        enabled: false
    nacos:
      # Nacos 作为注册中心的配置项，对应 NacosDiscoveryProperties 配置类
      discovery:
        server-addr: @profiles.nacos.server-addr@ # Nacos 服务器地址
        group: @profiles.nacos.group@
        namespace: @profiles.nacos.namespace@
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr} # Nacos 服务器地址
        group: ${spring.cloud.nacos.discovery.group}
        namespace: ${spring.cloud.nacos.discovery.namespace} # Nacos 命名空间 dev 的编号
        file-extension: yaml
  rabbitmq:
    host: @profiles.rabbitmq.host@
    port: @profiles.rabbitmq.port@
    username: @profiles.rabbitmq.username@
    password: @profiles.rabbitmq.password@
    virtualHost: @profiles.rabbitmq.virtualhost@
  dao:
    exceptiontranslation:
      enabled: false
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    #driver-class-name: com.p6spy.engine.spy.P6SpyDriver
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: @profiles.datasource.uri@
    username: @profiles.datasource.username@
    password: @profiles.datasource.password@

mybatis:
  root-path: com.mortals
  type-aliases-package: com.mortals.framework.model,com.mortals.xhx.common.**.model,com.mortals.xhx.**.model
  mapper-locations: classpath*:sqlmap/**/*.xml
  config-location: classpath*:config/mybatis-sqlmap-config.xml
  
application:
  auth:
    unloginUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,/test*,/device/*,/api/*
    uncheckUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,/test*,/device/*,/api/*
  registerApiPath: /api/register
  deviceInitApiPath: /api/deviceInit
  deviceUpdateApiPath: /api/deviceUpdate

upload:
  path: @profiles.filepath@


